description

# InternetAddressType class Null safety

InternetAddressType is the type an InternetAddress. Currently, IP version 4 (IPv4), IP version 6 (IPv6) and Unix domain address are supported. Unix domain sockets are available only on Linux, MacOS and Android.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
name → String
  Get the name of the type, e.g. "IPv4" or "IPv6".
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

ANY → const InternetAddressType
  @Deprecated("Use any instead")
  `any`
any → const InternetAddressType
  `const InternetAddressType._(-1)`
IP_V4 → const InternetAddressType
  @Deprecated("Use IPv4 instead")
  `IPv4`
IP_V6 → const InternetAddressType
  @Deprecated("Use IPv6 instead")
  `IPv6`
IPv4 → const InternetAddressType
  `const InternetAddressType._(0)`
IPv6 → const InternetAddressType
  `const InternetAddressType._(1)`
unix → const InternetAddressType
  @Since("2.8")
  `const InternetAddressType._(2)`